ALTER TABLE public.album ADD COLUMN normalized_name text DEFAULT NULL;
ALTER TABLE public.general_tag ADD COLUMN normalized_name text DEFAULT NULL;
CREATE OR REPLACE FUNCTION public.update_normal_album_version_func ()
	RETURNS trigger
	LANGUAGE plpgsql
	VOLATILE
	CALLED ON NULL INPUT
	SECURITY INVOKER
	COST 1
	AS $$
DECLARE
  next_version bigint;
BEGIN
  IF (TG_OP = 'INSERT' or (TG_OP = 'UPDATE' AND (NEW.item_count != OLD.item_count OR NEW.cover != OLD.cover OR NEW.name != OLD.name OR NEW.shared != OLD.shared OR NEW.sort_type != OLD.sort_type OR NEW.passphrase_share != OLD.passphrase_share))) THEN
       SELECT public.get_next_version_func(TG_TABLE_SCHEMA) INTO next_version;
       NEW.version = next_version;
  END IF;
  RETURN NEW;
END
$$;