DROP VIEW IF EXISTS public.share_album_view;
DROP VIEW IF EXISTS public.share_user_info_group_info_normal_album_view;
CREATE OR REPLACE VIEW public.share_album_view
AS
SELECT
  C.id,
  C.name,
  C.type,
  C.shared,
  C.create_time,
  C.cover,
  C.sort_type,
  C.passphrase_share,
  C.item_count,
  C.start_time,
  C.end_time,
  C.version,
  SS.modified_time,
  C.normalized_name
FROM
 public.normal_album as C, public.share as SS WHERE C.passphrase_share = SS.passphrase;
CREATE OR REPLACE VIEW public.share_user_info_group_info_normal_album_view
AS
SELECT
 N.id,
 N.name,
 N.type,
 N.shared,
 N.create_time,
 N.cover,
 N.sort_type,
 N.passphrase_share,
 N.item_count,
 N.start_time,
 N.end_time,
 N.version,
 N.normalized_name,
 M.id_group_info,
 M.id_user_info,
 M.create_time AS share_time,
 S.access_permission,
 S.id_user_info AS owner_id_user_info
FROM normal_album as N,
 (SELECT
  T.passphrase_share,
  ARRAY_AGG(T.id_group_info) AS id_group_info,
  ARRAY_AGG(T.id_user_info) AS id_user_info,
  MAX(create_time) AS create_time
  FROM
   (SELECT
    passphrase_share,
    id_group_info,
    create_time,
    0 AS id_user_info
    FROM many_share_has_many_group_info UNION
    SELECT
    passphrase_share,
    0 AS id_group_info,
    create_time,
    id_user_info
    FROM many_share_has_many_user_info
   ) AS T
  GROUP BY T.passphrase_share
 ) AS M,
 share AS S
WHERE N.passphrase_share = M.passphrase_share AND N.passphrase_share = S.passphrase;