DROP TRIGGER IF EXISTS update_face_trigger on public.face;
CREATE TRIGGER update_face_id_unit_trigger
  AFTER UPDATE
  ON public.face
  FOR EACH ROW
  WHEN (OLD.id_unit IS DISTINCT FROM NEW.id_unit)
  EXECUTE PROCEDURE public.update_face_func();
CREATE OR REPLACE FUNCTION public.update_face_func()
  RETURNS trigger
  LANGUAGE plpgsql
  VOLATILE
  CALLED ON NULL INPUT
  SECURITY INVOKER
  COST 1
  AS $$
DECLARE
  custom_cover bool;
  cover integer;
  BEGIN
    EXECUTE format('SELECT cover FROM %I.person WHERE id = %s', TG_TABLE_SCHEMA, OLD.id_person) INTO cover;
    IF (cover = OLD.id) THEN
      PERFORM public.update_person_best_cover(OLD.id_person, TG_TABLE_SCHEMA);
    END IF;
    RETURN NULL;
  END;
$$;