ALTER TABLE unit ADD COLUMN mobile_cache_mtime bigint NOT NULL DEFAULT 0;
CREATE OR REPLACE VIEW public.level_1_concept_timeline_view
AS
SELECT
c.id_unit, u.id_item, u.takentime, u.place, geocoding.level_1 AS level, geocoding.admin_1 AS admin, c.id_concept, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_concept) AS id_concept
FROM public.many_unit_has_many_concept GROUP BY id_unit
) c
LEFT JOIN public.unit u ON c.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_1_general_tag_timeline_view
AS
SELECT
g.id_unit, u.id_item, u.takentime, u.place, geocoding.level_1 AS level, geocoding.admin_1 AS admin, g.id_general_tag, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_general_tag) AS id_general_tag
FROM public.many_unit_has_many_general_tag GROUP BY id_unit
) g
LEFT JOIN public.unit u ON g.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_1_person_timeline_view
AS
SELECT
p.id_unit, u.id_item, u.takentime, u.place, geocoding.level_1 AS level, geocoding.admin_1 AS admin, p.id_person, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_person) AS id_person
FROM public.face GROUP BY id_unit
) p
LEFT JOIN public.unit u ON p.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_1_timeline_view
AS
SELECT
u.id AS id_unit, u.id_item, u.takentime, u.place, geocoding.level_1 AS level, geocoding.admin_1 AS admin, u.type
FROM public.unit u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_2_concept_timeline_view
AS
SELECT
c.id_unit, u.id_item, u.takentime, u.place, geocoding.level_2 AS level, geocoding.admin_2 AS admin, c.id_concept, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_concept) AS id_concept
FROM public.many_unit_has_many_concept GROUP BY id_unit
) c
LEFT JOIN public.unit u ON c.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_2_general_tag_timeline_view
AS
SELECT
g.id_unit, u.id_item, u.takentime, u.place, geocoding.level_2 AS level, geocoding.admin_2 AS admin, g.id_general_tag, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_general_tag) AS id_general_tag
FROM public.many_unit_has_many_general_tag GROUP BY id_unit
) g
LEFT JOIN public.unit u ON g.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_2_person_timeline_view
AS
SELECT
p.id_unit, u.id_item, u.takentime, u.place, geocoding.level_2 AS level, geocoding.admin_2 AS admin, p.id_person, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_person) AS id_person
FROM public.face GROUP BY id_unit
) p
LEFT JOIN public.unit u ON p.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_2_timeline_view
AS
SELECT
u.id AS id_unit, u.id_item, u.takentime, u.place, geocoding.level_2 AS level, geocoding.admin_2 AS admin, u.type
FROM public.unit u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_3_concept_timeline_view
AS
SELECT
c.id_unit, u.id_item, u.takentime, u.place, geocoding.level_3 AS level, geocoding.admin_3 AS admin, c.id_concept, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_concept) AS id_concept
FROM public.many_unit_has_many_concept GROUP BY id_unit
) c
LEFT JOIN public.unit u ON c.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_3_general_tag_timeline_view
AS
SELECT
g.id_unit, u.id_item, u.takentime, u.place, geocoding.level_3 AS level, geocoding.admin_3 AS admin, g.id_general_tag, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_general_tag) AS id_general_tag
FROM public.many_unit_has_many_general_tag GROUP BY id_unit
) g
LEFT JOIN public.unit u ON g.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_3_person_timeline_view
AS
SELECT
p.id_unit, u.id_item, u.takentime, u.place, geocoding.level_3 AS level, geocoding.admin_3 AS admin, p.id_person, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_person) AS id_person
FROM public.face GROUP BY id_unit
) p
LEFT JOIN public.unit u ON p.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_3_timeline_view
AS
SELECT
u.id AS id_unit, u.id_item, u.takentime, u.place, geocoding.level_3 AS level, geocoding.admin_3 AS admin, u.type
FROM public.unit u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_4_concept_timeline_view
AS
SELECT
c.id_unit, u.id_item, u.takentime, u.place, geocoding.level_4 AS level, geocoding.admin_4 AS admin, c.id_concept, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_concept) AS id_concept
FROM public.many_unit_has_many_concept GROUP BY id_unit
) c
LEFT JOIN public.unit u ON c.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_4_general_tag_timeline_view
AS
SELECT
g.id_unit, u.id_item, u.takentime, u.place, geocoding.level_4 AS level, geocoding.admin_4 AS admin, g.id_general_tag, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_general_tag) AS id_general_tag
FROM public.many_unit_has_many_general_tag GROUP BY id_unit
) g
LEFT JOIN public.unit u ON g.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_4_person_timeline_view
AS
SELECT
p.id_unit, u.id_item, u.takentime, u.place, geocoding.level_4 AS level, geocoding.admin_4 AS admin, p.id_person, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_person) AS id_person
FROM public.face GROUP BY id_unit
) p
LEFT JOIN public.unit u ON p.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_4_timeline_view
AS
SELECT
u.id AS id_unit, u.id_item, u.takentime, u.place, geocoding.level_4 AS level, geocoding.admin_4 AS admin, u.type
FROM public.unit u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_5_concept_timeline_view
AS
SELECT
c.id_unit, u.id_item, u.takentime, u.place, geocoding.level_5 AS level, geocoding.admin_5 AS admin, c.id_concept, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_concept) AS id_concept
FROM public.many_unit_has_many_concept GROUP BY id_unit
) c
LEFT JOIN public.unit u ON c.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_5_general_tag_timeline_view
AS
SELECT
g.id_unit, u.id_item, u.takentime, u.place, geocoding.level_5 AS level, geocoding.admin_5 AS admin, g.id_general_tag, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_general_tag) AS id_general_tag
FROM public.many_unit_has_many_general_tag GROUP BY id_unit
) g
LEFT JOIN public.unit u ON g.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_5_person_timeline_view
AS
SELECT
p.id_unit, u.id_item, u.takentime, u.place, geocoding.level_5 AS level, geocoding.admin_5 AS admin, p.id_person, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_person) AS id_person
FROM public.face GROUP BY id_unit
) p
LEFT JOIN public.unit u ON p.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_5_timeline_view
AS
SELECT
u.id AS id_unit, u.id_item, u.takentime, u.place, geocoding.level_5 AS level, geocoding.admin_5 AS admin, u.type
FROM public.unit u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_6_concept_timeline_view
AS
SELECT
c.id_unit, u.id_item, u.takentime, u.place, geocoding.level_6 AS level, geocoding.admin_6 AS admin, c.id_concept, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_concept) AS id_concept
FROM public.many_unit_has_many_concept GROUP BY id_unit
) c
LEFT JOIN public.unit u ON c.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_6_general_tag_timeline_view
AS
SELECT
g.id_unit, u.id_item, u.takentime, u.place, geocoding.level_6 AS level, geocoding.admin_6 AS admin, g.id_general_tag, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_general_tag) AS id_general_tag
FROM public.many_unit_has_many_general_tag GROUP BY id_unit
) g
LEFT JOIN public.unit u ON g.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_6_person_timeline_view
AS
SELECT
p.id_unit, u.id_item, u.takentime, u.place, geocoding.level_6 AS level, geocoding.admin_6 AS admin, p.id_person, u.type
FROM (
SELECT id_unit, array_agg(DISTINCT id_person) AS id_person
FROM public.face GROUP BY id_unit
) p
LEFT JOIN public.unit u ON p.id_unit = u.id
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;
CREATE OR REPLACE VIEW public.level_6_timeline_view
AS
SELECT
u.id AS id_unit, u.id_item, u.takentime, u.place, geocoding.level_6 AS level, geocoding.admin_6 AS admin, u.type
FROM public.unit u
LEFT JOIN public.geocoding ON u.id_geocoding = geocoding.id
WHERE u.id_geocoding IS NOT NULL;