CREATE OR REPLACE VIEW public.ordered_concept_unit_view
AS
SELECT
 O.id_concept, O.id_unit, O.id_row
FROM
 (
  SELECT R.id_concept, R.id_unit, ROW_NUMBER() OVER (PARTITION BY R.id_concept ORDER BY R.score DESC, R.id_unit DESC) AS id_row
  FROM many_unit_has_many_concept AS R, unit AS U
  WHERE R.id_unit = U.id AND U.place <= 0
 ) AS O
 WHERE O.id_row <= (SELECT max(array_length(parent, 1)) FROM public.concept);
CREATE OR REPLACE VIEW public.drive_ordered_concept_unit_view
AS
SELECT
 O.id_concept, O.id_unit, O.id_row
FROM
 (
  SELECT R.id_concept, R.id_unit, ROW_NUMBER() OVER (PARTITION BY R.id_concept ORDER BY R.score DESC, R.id_unit DESC) AS id_row
  FROM many_unit_has_many_concept AS R, unit AS U
  WHERE R.id_unit = U.id AND U.place <= 1
 ) AS O
 WHERE O.id_row <= (SELECT max(array_length(parent, 1)) FROM public.concept);