ALTER TABLE user_info ADD COLUMN enable bool NOT NULL DEFAULT false;
ALTER TABLE group_info ADD COLUMN enable bool NOT NULL DEFAULT false;
CREATE OR REPLACE VIEW public.share_user_info_group_info_normal_album_view
AS
SELECT
 N.id,
 N.name,
 N.type,
 N.shared,
 N.create_time,
 N.cover,
 N.sort_type,
 N.passphrase_share,
 N.item_count,
 N.start_time,
 N.end_time,
 N.version,
 N.normalized_name,
 M.id_group_info,
 M.id_user_info,
 M.create_time AS share_time,
 S.access_permission,
 S.id_user_info AS owner_id_user_info
FROM normal_album as N,
 (SELECT
  T.passphrase_share,
  ARRAY_AGG(T.id_group_info) AS id_group_info,
  ARRAY_AGG(T.id_user_info) AS id_user_info,
  MAX(create_time) AS create_time
  FROM
   (SELECT
    passphrase_share,
    id_group_info,
    create_time,
    0 AS id_user_info
    FROM many_share_has_many_group_info WHERE id_group_info IN (SELECT id FROM group_info WHERE enable = true) UNION
    SELECT
    passphrase_share,
    0 AS id_group_info,
    create_time,
    id_user_info
    FROM many_share_has_many_user_info WHERE id_user_info IN (SELECT id FROM user_info WHERE enable = true)
   ) AS T
  GROUP BY T.passphrase_share
 ) AS M,
 (SELECT
  passphrase,
  access_permission,
  id_user_info
  FROM share WHERE id_user_info IN (SELECT id FROM user_info WHERE enable = true)
 ) AS S
WHERE N.passphrase_share = M.passphrase_share AND N.passphrase_share = S.passphrase;