ALTER TABLE public.normal_album ADD CONSTRAINT share_fk FOREIGN KEY (passphrase_share)
REFERENCES public.share (passphrase) MATCH FULL
ON DELETE SET NULL ON UPDATE CASCADE;
ALTER TABLE public.condition_album ADD CONSTRAINT share_fk FOREIGN KEY (passphrase_share)
REFERENCES public.share (passphrase) MATCH FULL
ON DELETE SET NULL ON UPDATE CASCADE;
CREATE OR REPLACE FUNCTION public.delete_normal_album_after_trigger_func ()
    RETURNS trigger
    LANGUAGE plpgsql
    VOLATILE
    CALLED ON NULL INPUT
    SECURITY INVOKER
    COST 1
    AS $$
DECLARE
    next_version bigint;
    delete_album_table text;
    share_table text;
    BEGIN
        delete_album_table = TG_TABLE_SCHEMA || '.delete_album';
        share_table = TG_TABLE_SCHEMA || '.share';
        IF (TG_OP = 'DELETE') THEN
           SELECT public.get_next_version_func(TG_TABLE_SCHEMA) INTO next_version;
           EXECUTE 'INSERT INTO ' || delete_album_table || ' (id_normal_album, version)
            VALUES ( '|| OLD.id || ', ' || next_version || ')';
           IF OLD.passphrase_share IS NOT NULL THEN
               EXECUTE format('DELETE FROM %s WHERE passphrase=%L', share_table, OLD.passphrase_share);
           END IF;
        END IF;
        RETURN NULL;
    END;
$$;