CREATE OR REPLACE FUNCTION public.create_delete_team_user_trigger_func ()
	RETURNS trigger
	LANGUAGE plpgsql
	VOLATILE
	CALLED ON NULL INPUT
	SECURITY INVOKER
	COST 1
	AS $$
DECLARE
  version integer;
  name text;
  id integer;
BEGIN
  EXECUTE format('SELECT value FROM config WHERE key = %L', 'version') INTO version;
  IF (TG_OP = 'INSERT') THEN
    EXECUTE format('INSERT INTO user_info (name, config, enable) VALUES (%L, \'{"version"%s %s}\', true) RETURNING id', NEW.path, ':', version) INTO id;
    EXECUTE format('DELETE FROM user_%s.folder WHERE id = 1', id);
  ELSEIF (TG_OP = 'UPDATE') THEN
    EXECUTE format('UPDATE FROM user_info SET = name = %L WHERE name = %L', NEW.path, OLD.path);
  ELSEIF (TG_OP = 'DELETE') THEN
    EXECUTE format('DELETE FROM user_info WHERE name = %L AND uid IS NULL', OLD.path);
  END IF;
  RETURN NULL;
END
$$;
CREATE TABLE public.team_library(
	name text NOT NULL,
	path text NOT NULL,
	CONSTRAINT team_library_name_pk PRIMARY KEY (name),
	CONSTRAINT team_library_path_uq UNIQUE (path)
);
CREATE TRIGGER create_delete_team_user_trigger
	AFTER INSERT OR DELETE
	ON public.team_library
	FOR EACH ROW
	EXECUTE PROCEDURE public.create_delete_team_user_trigger_func();