CREATE OR REPLACE FUNCTION public.item_type_update_unit_version_func()
  RETURNS trigger
  LANGUAGE plpgsql
  VOLATILE
  CALLED ON NULL INPUT
  SECURITY INVOKER
  COST 1
  AS $$
DECLARE
  new_version bigint;
  unit_table text;
BEGIN
  unit_table = TG_TABLE_SCHEMA || '.unit';
  IF (TG_OP = 'UPDATE') THEN
    SELECT public.get_next_version_func(TG_TABLE_SCHEMA) INTO new_version;
    EXECUTE 'UPDATE ' || unit_table || ' SET version = ' || new_version || ' WHERE id_item = ' || NEW.id;
  END IF;
  RETURN NULL;
END
$$;
DROP TRIGGER IF EXISTS item_type_update_unit_version_trigger ON public.item CASCADE;
CREATE TRIGGER item_type_update_unit_version_trigger
  AFTER UPDATE
  ON public.item
  FOR EACH ROW
  EXECUTE PROCEDURE public.item_type_update_unit_version_func();