CREATE OR REPLACE FUNCTION public.create_delete_team_user_trigger_func ()
    RETURNS trigger
    LANGUAGE plpgsql
    VOLATILE
    CALLED ON NULL INPUT
    SECURITY INVOKER
    COST 1
    AS $$
DECLARE
  version integer;
  name text;
  id integer;
BEGIN
  EXECUTE format('SELECT value FROM config WHERE key = %L', 'version') INTO version;
  IF (TG_OP = 'INSERT') THEN
    EXECUTE format('INSERT INTO user_info (name, config, enable) VALUES (%L, \'{"version"%s %s}\', true) RETURNING id', NEW.path, ':', version) INTO id;
    EXECUTE format('DELETE FROM user_%s.folder WHERE id = 1', id);
  ELSEIF (TG_OP = 'UPDATE') THEN
    EXECUTE format('UPDATE user_info SET name = %L WHERE name = %L', NEW.path, OLD.path);
  ELSEIF (TG_OP = 'DELETE') THEN
    EXECUTE format('DELETE FROM user_info WHERE name = %L AND uid IS NULL', OLD.path);
  END IF;
  RETURN NULL;
END
$$;
DROP TRIGGER create_delete_team_user_trigger ON team_library;
CREATE TRIGGER create_delete_team_user_trigger
	AFTER INSERT OR UPDATE OR DELETE
	ON public.team_library
	FOR EACH ROW
	EXECUTE PROCEDURE public.create_delete_team_user_trigger_func();