CREATE OR REPLACE FUNCTION public.delete_sharing_entry ( passphrase text)
  RETURNS bool
  LANGUAGE c
  VOLATILE
  CALLED ON NULL INPUT
  SECURITY DEFINER
  COST 1
  AS '/var/packages/SynologyMoments/target/usr/lib/libsynophoto-db-trigger.so', 'pg_delete_sharing_entry';
CREATE OR REPLACE FUNCTION public.delete_share_cascade_func ()
  RETURNS trigger
  LANGUAGE plpgsql
  VOLATILE
  CALLED ON NULL INPUT
  SECURITY INVOKER
  COST 1
  AS $$
  DECLARE
    key text;
    accessed_share_album text;
    delete_success bool;
  BEGIN
    accessed_share_album = TG_TABLE_SCHEMA || '.accessed_share_album';
    key = OLD.passphrase;
    EXECUTE 'DELETE FROM ' || accessed_share_album || ' WHERE passphrase = ' || quote_literal(key);
    SELECT delete_sharing_entry(key) INTO delete_success;
    IF (delete_success = false) THEN
      RAISE EXCEPTION 'delete synoshareing entry failed';
    END IF;
    RETURN NULL;
  END
$$;
ALTER TABLE person ADD COLUMN normalized_name text NOT NULL DEFAULT '';
CREATE OR REPLACE VIEW public.person_album_view AS
SELECT
    id_person,
    person.name,
    person.hidden,
    person.cover,
    item_count,
    person.normalized_name
FROM person ,(
    SELECT
        face.id_person,
        count(distinct(unit.id_item)) as item_count
    FROM face, unit
    WHERE unit.id = face.id_unit AND unit.place <= 0
    GROUP BY id_person
) SS WHERE SS.id_person = person.id;
CREATE OR REPLACE VIEW public.drive_person_album_view AS
SELECT
    id_person,
    person.name,
    person.hidden,
    person.cover,
    item_count,
    person.normalized_name
FROM person ,(
    SELECT
        face.id_person,
        count(distinct(unit.id_item)) as item_count
    FROM face, unit
    WHERE unit.id = face.id_unit AND unit.place <= 1
    GROUP BY id_person
) SS WHERE SS.id_person = person.id;