CREATE OR REPLACE FUNCTION public.update_similar_group_count(schema text, similar_group_id integer)
  RETURNS void
  LANGUAGE plpgsql
  VOLATILE
  CALLED ON NULL INPUT
  SECURITY INVOKER
  COST 1
  AS $$
DECLARE
  similar_group_table text;
  many_similar_group_has_many_item_table text;
  unit_table text;
  visable_count bigint;
  visable_count_drive bigint;
BEGIN
  similar_group_table = schema || '.similar_group';
  many_similar_group_has_many_item_table = schema || '.many_similar_group_has_many_item';
  unit_table = schema || '.unit';
  EXECUTE format('SELECT COUNT(DISTINCT(id_item)) from %s WHERE id_item in (SELECT id_item FROM %s WHERE id_similar_group = %L AND hidden = false ORDER BY id_item) AND place <= 0', unit_table, many_similar_group_has_many_item_table, similar_group_id) INTO visable_count;
  IF (visable_count IS NULL) THEN
    visable_count = 0;
  END IF;
  EXECUTE format('SELECT COUNT(DISTINCT(id_item)) from %s WHERE id_item in (SELECT id_item FROM %s WHERE id_similar_group = %L AND hidden = false ORDER BY id_item) AND place <= 1', unit_table, many_similar_group_has_many_item_table, similar_group_id) INTO visable_count_drive;
  IF (visable_count_drive IS NULL) THEN
    visable_count_drive = 0;
  END IF;
  EXECUTE format('UPDATE %s SET item_count = %L, item_count_drive = %L WHERE id = %L', similar_group_table, visable_count, visable_count_drive, similar_group_id);
END
$$;