ALTER TABLE public.share ADD COLUMN modified_time bigint NOT NULL DEFAULT 0;
ALTER TABLE public.share ALTER COLUMN access_permission type integer;
CREATE OR REPLACE VIEW public.share_album_view
AS
SELECT
  C.id,
  C.name,
  C.type,
  C.shared,
  C.create_time,
  C.cover,
  C.sort_type,
  C.passphrase_share,
  C.item_count,
  C.start_time,
  C.end_time,
  C.version,
  SS.modified_time
FROM
 public.normal_album as C, public.share as SS WHERE C.passphrase_share = SS.passphrase;
CREATE OR REPLACE VIEW public.share_user_info_group_info_normal_album_view
AS
SELECT
 N.id,
 N.name,
 N.type,
 N.shared,
 N.create_time,
 N.cover,
 N.sort_type,
 N.passphrase_share,
 N.item_count,
 N.start_time,
 N.end_time,
 N.version,
 MAX(ss.create_time) AS share_time,
 ARRAY_AGG(ss.id_group_info) AS id_group_info,
 ARRAY_AGG(ss.id_user_info) AS id_user_info,
 ARRAY_AGG(S.access_permission) AS access_permission
FROM normal_album AS N,
(SELECT
 passphrase_share,
 id_group_info,
 create_time,
 0 AS id_user_info
 FROM many_share_has_many_group_info UNION
 SELECT
 passphrase_share,
 0 AS id_group_info,
 create_time,
 id_user_info
 FROM many_share_has_many_user_info) ss,
share AS S
WHERE
 N.passphrase_share = ss.passphrase_share AND N.passphrase_share = S.passphrase
GROUP BY N.id;
CREATE OR REPLACE VIEW public.normal_album_photowall_view
AS
SELECT
  M.id_normal_album,
  M.id_item,
  U.id_unit,
  U.takentime,
  M.sequence,
  U.place,
  I.type
FROM
  many_item_has_many_normal_album M,
  item I,
  (SELECT
    id_item,
    array_agg(id) AS id_unit,
    min(takentime) AS takentime,
    place
  FROM unit
  GROUP BY id_item, place) AS U
WHERE U.id_item = M.id_item and I.id = M.id_item;