DROP VIEW IF EXISTS public.share_user_info_group_info_normal_album_view;
CREATE OR REPLACE VIEW public.share_user_info_group_info_normal_album_view
AS
SELECT
 N.id,
 N.name,
 N.type,
 N.shared,
 N.create_time,
 N.cover,
 N.sort_type,
 N.passphrase_share,
 N.item_count,
 N.start_time,
 N.end_time,
 N.version,
 M.id_group_info,
 M.id_user_info,
 M.create_time AS share_time,
 S.access_permission
FROM normal_album as N,
 (SELECT
  T.passphrase_share,
  ARRAY_AGG(T.id_group_info) AS id_group_info,
  ARRAY_AGG(T.id_user_info) AS id_user_info,
  MAX(create_time) AS create_time
  FROM
   (SELECT
    passphrase_share,
    id_group_info,
    create_time,
    0 AS id_user_info
    FROM many_share_has_many_group_info UNION
    SELECT
    passphrase_share,
    0 AS id_group_info,
    create_time,
    id_user_info
    FROM many_share_has_many_user_info
   ) AS T
  GROUP BY T.passphrase_share
 ) AS M,
 share AS S
WHERE N.passphrase_share = M.passphrase_share AND N.passphrase_share = S.passphrase;
ALTER TABLE public.many_share_has_many_user_info DROP CONSTRAINT IF EXISTS share_fk CASCADE;
ALTER TABLE public.many_share_has_many_user_info ADD CONSTRAINT share_fk FOREIGN KEY (passphrase_share)
REFERENCES public.share (passphrase) MATCH FULL
ON DELETE CASCADE ON UPDATE CASCADE;