#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class GroupDelete(common.PluginRunner):
    # @override
    def post(self):
        if '0' != environ.get('RESULT'):
            return None

        delete_group_names = []
        n_items = int(environ.get('NITEMS'))

        for i in range(1, n_items + 1):
            group_name = environ.get('GROUP_NAME_{}'.format(i))
            group_op_result = environ.get('GROUP_OP_RESULT_{}'.format(i))
            delete_group_names.append(group_name)

        if len(delete_group_names) > 0:
            self.send_command('group-delete', {
                'group_name': delete_group_names,
            })



common.MainBody(GroupDelete())
