#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class DirGroupDelete(common.PluginRunner):
    # @override
    def post(self):

        delete_group_names = []
        server_type = environ.get('SERVER_TYPE')
        n_items = int(environ.get('NITEMS'))

        if server_type == 'domain':
            return

        for i in range(1, n_items + 1):
            gid = environ.get('GID_{}'.format(i))
            group_name = environ.get('GROUP_NAME_{}'.format(i))
            delete_group_names.append(group_name)

        if len(delete_group_names) > 0:
            self.send_command('group-delete', {
                'group_name': delete_group_names,
            })


common.MainBody(DirGroupDelete())
