#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class DirGroupRename(common.PluginRunner):
    # @override
    def post(self):

        rename_group = []
        server_type = environ.get('SERVER_TYPE')
        n_items = int(environ.get('NITEMS'))

        if server_type == 'domain':
            return

        for i in range(1, n_items + 1):
            gid = environ.get('GID_{}'.format(i))
            origin_group_name = environ.get('ORIGIN_GROUP_NAME_{}'.format(i))
            group_name = environ.get('GROUP_NAME_{}'.format(i))

            if origin_group_name and group_name != origin_group_name and origin_group_name is not None:
                rename_group.append({
                    'origin_group_name': origin_group_name,
                    'group_name': group_name,
                })

        if len(rename_group) > 0:
            self.send_command('group-rename', rename_group)


common.MainBody(DirGroupRename())
