#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class DirUserDelete(common.PluginRunner):
    # @override
    def post(self):

        delete_uids = []
        server_type = environ.get('SERVER_TYPE')
        n_items = int(environ.get('NITEMS'))

        if server_type == 'domain':
            return

        for i in range(1, n_items + 1):
            uid = environ.get('UID_{}'.format(i))
            user_name = environ.get('USER_NAME_{}'.format(i))
            delete_uids.append(uid)

        if len(delete_uids) > 0:
            self.send_command('user-delete', {
                'uid': delete_uids,
            })


common.MainBody(DirUserDelete())
