#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class DirUserRename(common.PluginRunner):
    # @override
    def post(self):

        rename_user = []
        server_type = environ.get('SERVER_TYPE')
        n_items = int(environ.get('NITEMS'))

        if server_type == 'domain':
            return

        for i in range(1, n_items + 1):
            uid = environ.get('UID_{}'.format(i))
            origin_user_name = environ.get('ORIGIN_USER_NAME_{}'.format(i))
            user_name = environ.get('USER_NAME_{}'.format(i))

            rename_user.append({
                'uid': uid,
                'user_name': user_name,
                'origin_user_name': origin_user_name,
            })

        if len(rename_user) > 0:
            self.send_command('user-rename', rename_user)


common.MainBody(DirUserRename())
