#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class ShareDelete(common.PluginRunner):
    def __init__(self):
        self._version = '2.0'

    def pre(self):
        if '0' != environ.get('RESULT'):
            return None

        delete_share = []
        n_items = int(environ.get('NITEMS'))
        for i in range(1, n_items + 1):
            share_name = environ.get('SHARE_NAME_{}'.format(i))
            delete_share.append(share_name);

        if len(delete_share) > 0:
            binary = None if self.is_moments_running() else 'team-library-tool'

            self.send_command('share-delete', {
                'name': delete_share,
            }, binary = binary)

common.MainBody(ShareDelete())
