#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

import imp
from os import environ

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')

class ShareSet(common.PluginRunner):
    def __init__(self):
        self._version = '2.0'

    def pre(self):
        if '0' != environ.get('RESULT'):
            return None

        origin_name = environ.get('ORIGIN_SHARE_NAME')
        origin_path = environ.get('ORIGIN_SHARE_PATH')
        new_name = environ.get('SHARE_NAME')
        new_path = environ.get('SHARE_PATH')

        if origin_path == new_path:
            return None

        if not self.is_moments_running():
            return None

        # bug #1866: just focus origin share disable
        self.send_command('share-disable', {
            'origin_name': origin_name,
            'origin_path': origin_path,
            'name': origin_name,
            'path': origin_path,
        })

    def post(self):
        if '0' != environ.get('RESULT'):
            return None

        origin_name = environ.get('ORIGIN_SHARE_NAME')
        origin_path = environ.get('ORIGIN_SHARE_PATH')
        new_name = environ.get('SHARE_NAME')
        new_path = environ.get('SHARE_PATH')

        if origin_path == new_path:
            return None

        is_moments_running = self.is_moments_running()
        binary = None if is_moments_running else 'team-library-tool'

        self.send_command('share-set', {
            'origin_name': origin_name,
            'origin_path': origin_path,
            'name': new_name,
            'path': new_path,
        }, binary = binary)

        if is_moments_running:
            # bug #1866: just focus new share enable
            self.send_command('share-enable', {
                'origin_name': new_name,
                'origin_path': new_path,
                'name': new_name,
                'path': new_path,
            })

common.MainBody(ShareSet())
