#!/usr/bin/env python
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

from os import environ
import imp

common = imp.load_source(
    'common', '/var/packages/SynologyMoments/target/sdk-plugin/common.py')


class UserSet(common.PluginRunner):
    # @override
    def post(self):
        if '0' != environ.get('RESULT'):
            return None

        send_reload_priv = False
        rename_user = []
        exprie_change_user = []

        n_items = int(environ.get('NITEMS'))

        for i in range(1, n_items + 1):
            uid = environ.get('UID_{}'.format(i))
            user_name = environ.get('USER_NAME_{}'.format(i))
            origin_user_name = environ.get('ORIGIN_USER_NAME_{}'.format(i))
            expire_state = environ.get('EXPIRE_STATE_{}'.format(i))
            result = environ.get('USER_OP_RESULT_{}'.format(i))

            if user_name != origin_user_name and origin_user_name is not None:
                rename_user.append({
                    'uid': uid,
                    'user_name': user_name,
                    'origin_user_name': origin_user_name,
                })

            if expire_state != 'unchanged':
                exprie_change_user.append({
                    'uid': uid,
                    'enable': expire_state == 'enabled'
                })
                send_reload_priv = True


        if len(rename_user) > 0:
            self.send_command('user-rename', rename_user)

        if len(exprie_change_user) > 0:
            self.send_command('user-enable-change', exprie_change_user)

        if send_reload_priv:
            self.send_command('reload-app-priv')


common.MainBody(UserSet())
